import { world, system } from "@minecraft/server"
import *  as InfoBestiary from '../forms/infoBestiary.js'

system.beforeEvents.startup.subscribe(ev => {

    ev.itemComponentRegistry.registerCustomComponent('eu:ultimate_bestiary', {
        onUse: arg => {
            const source = arg.source
            InfoBestiary.show(source)
        },
        onBeforeDurabilityDamage: arg => {
            arg.durabilityDamage = 0
        }
    })
})